import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import 'amfe-flexible'
// 全局引入弹出框
// import { ElMessage } from 'element-plus'
import 'element-plus/dist/index.css'

import vue3videoPlay from 'vue3-video-play' // 引入组件
import 'vue3-video-play/dist/style.css' // 引入css
import videojs from "video.js";
import "video.js/dist/video-js.css";
// Vue.prototype.$video = videojs;



const app = createApp(App)
console.log("全局的app", app)
app.use(router)
app.use(vue3videoPlay)
// app.config.globalProperties.$message = ElMessage;
// app.use(ElMessage)
app.mount("#app")

// createApp(App).mount('#app')
